/* FONT */
:root {
  --sans-serif: "Source Sans Pro", sans-serif;
  --serif: "Frank Ruhl Libre", serif;
  --fontsize-large: 2em;
  --fontsize-medium: 1.5em;
  --fontsize-normal: 12px;
  --fontsize-small: 0.667em;
  --font-color: #000;
  --font-color-w: #fff;
}

/* PAGE GRID  */
.grid-container {
  display: grid;
  grid-gap: 5px 5px;
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 70px 12px auto;
  /* background-color:lightblue; */
  justify-content: end;
  margin: 0 40px 200px 40px;
  padding: 20px 0 0 0;
}

.grid-title {
  grid-column: 2 / span 3;
  grid-row: 1;
  /* background-color: pink; */
  align-self: bottom;
}
.grid-wg {
  grid-column: 2 / span 10;
  grid-row: 3;
  /* background-color: rosybrown; */
  align-self: bottom;
}

/* Basic Page Styles */
h1 {
  margin: 0;
  font-family: var(--serif);
  font-size: var(--fontsize-large);
  font-weight: 400;
}

/* Page specific styles */
.waldgesellschaft {
  width: 4rem;
  height: 4rem;
  margin: 0.2rem;
  padding: 0.3rem;
  border-radius: 0.5rem;
  font-family: var(--serif);
  font-size: var(--fontsize-medium);
  color: var(--font-color-w);
  float: left;
  vertical-align: baseline;
  text-align: center;
  border: 1px solid #fff;
}

.waldgesellschaft:hover {
  border: 1px solid #000;
  box-shadow: 0px 5px 30px 0px rgba(0, 0, 0, 0.5);
  color: var(--font-color);
}

/* OVERLAY */
.blur {
  -webkit-filter: blur(8px);
  -moz-filter: blur(8px);
  -o-filter: blur(8px);
  -ms-filter: blur(8px);
  filter: blur(8px);
}
#overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 10;
  background-color: rgba(0, 0, 0, 0);
  display: none;
}
#overlay-editor {
  position: fixed;
  top: 20px;
  left: calc(50vw - 400px);
  width: 95vw;
  max-width: 800px;
  height: calc(100vh - 90px);
  z-index: 11;
  background-color: rgba(255, 255, 255, 1);
  box-shadow: 0px 5px 30px 0px rgba(0, 0, 0, 0.3);
  border-radius: 5px;
  display: none;
  padding: 25px;
  overflow: scroll;
}

/* EDITOR */
#editor-holder {
  display: flex;
}
#editor-holder > div {
  display: flex;
}
h3 {
  font-family: var(--serif);
  font-weight: 400;
  font-size: var(--fontsize-medium);
}
.card h3,
p {
  font-family: var(--serif);
  font-weight: 400;
  font-style: italic;
  margin: 30px 0 15px 0;
  display: flex;
  order: 1;
  flex-direction: row;
  place-content: space-between;
}

div.row h3 {
  font-style: normal;
  font-family: var(--sans-serif);
  font-size: var(--fontsize-normal);
  font-weight: 600;
}
p {
  font-family: var(--sans-serif);
  font-size: var(--fontsize-normal);
  font-style: normal;
}
h3 button {
  display: flex;
  order: 1;
}
button.btn.btn-secondary.json-editor-btn-delete.delete {
  margin: 10px 0 0 48px;
}
.row {
  margin: 0;
  order: 2;
}
.form-group {
  display: flex;
}

label.form-control-label {
  padding: 10px;
  font-family: var(--sans-serif);
  font-size: var(--fontsize-normal);
  font-weight: 400;
  text-align: left;
  width: 180px;
  display: flex;
  margin: 5px 20px 0 20%;
}
select.form-control {
  display: flex;
  margin-top: 12px;
  max-height: 25px;
  border-radius: 5px;
}
input.form-control {
  display: flex;
  margin-top: 8px;
  min-height: 25px;
  width: 350px;
  border-radius: 2px;
  border: 1px solid gray;
  box-shadow: none;
}
textarea.form-control {
  display: flex;
  margin-top: 8px;
  min-height: 25px;
  width: 350px;
  border-radius: 2px;
  border: 1px solid gray;
  box-shadow: none;
}

h3.card-body {
  display: flex;
}
div.checkbox {
  width: 50px;
  margin: 5px auto;
}

.card {
  display: inline;
}
.json-editor-btn-edit {
  display: none;
  visibility: hidden;
}
button.delete {
  display: none;
}
button.btn.btn-secondary.json-editor-btn-delete {
  margin-top: 20px;
}
